
%ifos aix6.1 || %ifos aix7.1
%global p7build 1
%else
%global p7build 0
%endif

Summary: A utility for retrieving files using the HTTP or FTP protocols
Name: wget
Version: 1.17.1
%if %{p7build}
Release: 3.p7
%else
Release: 3
%endif
License: GPLv3+
Group: Applications/Internet
Url: http://www.gnu.org/software/%{name}/
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch
Provides: webclient
Requires: /sbin/install-info, info
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%if %{p7build}
BuildRequires: openssl-devel >= 1.0.1t-1.p7
%else
BuildRequires: openssl-devel >= 1.0.1t-1
%endif
BuildRequires: gettext, libidn-devel >= 1.32-1
BuildRequires: perl >= 5.8.8-2
BuildRequires: libiconv >= 1.14-3
BuildRequires: pcre-devel >= 8.38-2
BuildRequires: zlib-devel >= 1.2.3-7
%if %{p7build}
Requires: openssl >= 1.0.1t-1.p7
%else
Requires: openssl >= 1.0.1t-1
%endif
Requires: gettext, libidn >= 1.32-1
Requires: libiconv >= 1.14-3
Requires: pcre >= 8.38-2
Requires: zlib >= 1.2.3-7

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or FTP,
or if you need a utility for mirroring web sites or FTP directories.

Note: This version is compiled with SSL support.


%prep
%setup -q
%patch0


%build
export CC="xlc_r -D_LARGE_FILES"
export POD2MAN="/opt/freeware/bin/pod2man"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-ssl=openssl \
    --enable-largefile \
    --enable-opie \
    --enable-digest \
    --enable-nls \
    --disable-ipv6 \
    --disable-rpath \
    --with-libidn=%{_prefix} \
    --with-libiconv-prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS MAILING-LIST NEWS README COPYING doc/sample.wgetrc
%config(noreplace) %{_sysconfdir}/wgetrc
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Thu Jun 02 2016 Michael Perzl <michael@perzl.org> - 1.17.1-3
- rebuilt with higher optimization

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 1.17.1-2
- recompiled against latest versions

* Sat Dec 12 2015 Michael Perzl <michael@perzl.org> - 1.17.1-1
- updated to version 1.17.1

* Tue Mar 10 2015 Michael Perzl <michael@perzl.org> - 1.16.3-1
- updated to version 1.16.3

* Sun Mar 01 2015 Michael Perzl <michael@perzl.org> - 1.16.2-1
- updated to version 1.16.2

* Mon Dec 08 2014 Michael Perzl <michael@perzl.org> - 1.16.1-1
- updated to version 1.16.1

* Mon Oct 27 2014 Michael Perzl <michael@perzl.org> - 1.16-1
- updated to version 1.16

* Mon Jan 20 2014 Michael Perzl <michael@perzl.org> - 1.15-1
- updated to version 1.15

* Tue Oct 09 2012 Michael Perzl <michael@perzl.org> - 1.14-2
- added the missing pcre and zlib dependencies

* Mon Aug 06 2012 Michael Perzl <michael@perzl.org> - 1.14-1
- updated to version 1.14

* Mon Apr 30 2012 Michael Perzl <michael@perzl.org> - 1.13.4-3
- linked against GNU libiconv thus introducing a dependency on it

* Tue Sep 27 2011 Michael Perzl <michael@perzl.org> - 1.13.4-2
- fixed wrong dependency on gnutls back to openssl

* Sun Sep 18 2011 Michael Perzl <michael@perzl.org> - 1.13.4-1
- updated to version 1.13.4

* Mon Sep 12 2011 Michael Perzl <michael@perzl.org> - 1.13.3-1
- updated to version 1.13.3

* Tue Aug 23 2011 Michael Perzl <michael@perzl.org> - 1.13.1-1
- updated to version 1.13.1

* Tue Aug 09 2011 Michael Perzl <michael@perzl.org> - 1.13-1
- updated to version 1.13

* Fri Jul 02 2010 Michael Perzl <michael@perzl.org> - 1.12-2
- removed dependency on gettext >= 0.17

* Wed Sep 23 2009 Michael Perzl <michael@perzl.org> - 1.12-1
- updated to version 1.12

* Mon Jun 30 2008 Michael Perzl <michael@perzl.org> - 1.11.4-1
- updated to version 1.11.4

* Tue Jun 24 2008 Michael Perzl <michael@perzl.org> - 1.11.3-1
- updated to version 1.11.3 and built against new version of gettext

* Tue Mar 25 2008 Michael Perzl <michael@perzl.org> - 1.11.1-1
- updated to version 1.11.1

* Fri Mar 14 2008 Michael Perzl <michael@perzl.org> - 1.11-1
- first version for AIX V5.1 and higher
